
Redmine - Defect #10905

Internal Server Error when requesting the login page

2012-05-14 05:19 - Spi Rat

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Accounts / authentication Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 0.9.3

Description

When I try to access the login page on the redmine I get an Internal Server Error, for a while everything is fine and then when it starts

happening, no one can access the login page anymore, several postgresql and lighttpd restart eventually got everything working

again. I can't figure out how to get more information on what is causing this problem, it seems rather peculiar since it doesn't happen

systematically. It happens often enough that I get weekly mails from upset users though.

production.log and fastcgi.crash.log are empty, I can't get any debug in any log (postgresql and lighttpd).

Ubuntu 10.04.4 LTS

postgresql-8.4                      8.4.11-0ubuntu0.10.04

ruby1.8                             1.8.7.249-2ubuntu0.1

rails                               2.2.3-2ubuntu0.1

redmine                             0.9.3-1

redmine-sqlite                      0.9.3-1

lighttpd                            1.4.26-1.1ubuntu3.1

# RAILS_ENV=production ruby script/about

ruby: No such file or directory -- script/about (LoadError)

Internal error

An error occurred on the page you were trying to access.

If you continue to experience problems please contact your redMine

administrator for assistance.

 It may not be enough to reproduce, and even if you set up the same environment it might take a while for the problem to arise. Can

you give me some ways of debugging this? I'll stay tuned on this task until it's resolved.

Thanks.

History

#1 - 2012-05-14 05:21 - Spi Rat

More informations:

# RAILS_ENV=production ruby /usr/share/redmine/script/about

About your application's environment

Ruby version              1.8.7 (i486-linux)

RubyGems version          1.3.5

Rails version             2.2.3

Active Record version     2.2.3

Action Pack version       2.2.3

Active Resource version   2.2.3

Action Mailer version     2.2.3

Active Support version    2.2.3

Edge Rails revision       unknown

Application root          /usr/share/redmine

Environment               production

Database adapter          postgresql

Database schema version   20100221100219

#2 - 2012-05-14 11:02 - xolcman xolcman
- Status changed from New to Resolved

#3 - 2012-05-14 11:32 - Jean-Philippe Lang

- Status changed from Resolved to New

#4 - 2012-06-10 22:37 - Jean-Baptiste Barth

- Affected version (unused) set to 0.9.3

- Affected version set to 0.9.3

Maybe you can try to see what happens in the logs when the problem occurs. They should be located in /usr/share/redmine/logs or maybe

/var/log/redmine.

Anyway, be aware that the version you're using is pretty old, it might be hard to provide a way to solve your problem without upgrading. Plus your

distribution (Ubuntu 10.04) may not be supported anymore by its editor.

#5 - 2012-07-19 15:00 - Spi Rat

- Status changed from New to Resolved

I spent a good deal of time on this issue. I didn't see anything in the logs because of the rights over the logdir and files (someone else did the

installation so I had no idea). I had exceptions that were quite huge and hard to trace back, so I decided to go and reinstall a recent redmine.

Although some packages are not maintainted, I managed to get the redmine-2 branch running, I migrated the database (involved some tricks because

they apparently weren't fully compatible) and had to manually had an user and give him admin rights via the dbms. Then I could get a hand back on

the redmine and re-set some passwords and do some cleaning up (migrate files, check paths...).

I hope it can help someone.

Cheers.

#6 - 2012-10-20 14:30 - Etienne Massip

- Status changed from Resolved to Closed

- Resolution set to Invalid
